Messages

Create Inbox Conversation

Starts a one-to-one conversation on Bluesky, Instagram or Facebook. Identify the recipient by their username, user id, handle or DID on that platform.

POST
/v1/inbox/conversations

Authorization

headerx-api-key<token>

Workspace API key, sent in the x-api-key header. Keys start with op_ and are created in the dashboard.

Request Body

application/json
  1. body
accountId*string

Connection id.

Length1 <= length
recipient*string
Length1 <= length <= 256

Response Body

Created conversation

application/json
  1. response
accountId*string
convo*
Example Request
import { Configuration, InboxApi } from "@onepostly/sdk";const inboxApi = new InboxApi(  new Configuration({ apiKey: process.env.ONEPOSTLY_API_KEY }));const response = await inboxApi.createInboxConversation({  createInboxConversationBody: {    "accountId": "a1b2c3d4-e5f6-4a7b-8c9d-e0f1a2b3c4d5",    "recipient": "alice.bsky.social"  },});console.log(response);
Example Response
{  "accountId": "a1b2c3d4-e5f6-4a7b-8c9d-e0f1a2b3c4d5",  "convo": {    "id": "3k7x...",    "members": [      {        "id": "did:plc:alice",        "username": "alice.bsky.social",        "displayName": "Alice"      }    ],    "muted": true,    "unreadCount": 2,    "lastMessage": {      "id": "3k7y...",      "text": "Hey!",      "sentAt": "2026-09-08T12:00:00.000Z"    }  }}